%define name xhippo
%define version 2.0
%define release 3mdk

Name: %{name}
Summary: A mp3 playlist frontend
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Sound 
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Requires: gtk+ >= 1.0.0

%description
Xhippo is a Mp3 playlist frontend.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make 

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 xhippo $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/gnu-xhippo.html $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/screenshot.jpeg $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/xhippo.info.gz $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/xhippo.ps.gz $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/xhippo.sgml $RPM_BUILD_ROOT/usr/doc/xhippo-2.0
install -m 755 doc/xhippo.txt.gz $RPM_BUILD_ROOT/usr/doc/xhippo-2.0


%files 
%defattr(-,root,root,755)
/usr/bin/*
/usr/doc/xhippo-2.0/gnu-xhippo.html
/usr/doc/xhippo-2.0/screenshot.jpeg
/usr/doc/xhippo-2.0/xhippo.info.gz
/usr/doc/xhippo-2.0/xhippo.ps.gz
/usr/doc/xhippo-2.0/xhippo.sgml
/usr/doc/xhippo-2.0/xhippo.txt.gz

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- fix group
- spex helper cleanups

* Wed Nov 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile for Mandrake / New in contribs

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
